/*
 ============================================================================
 Project     : 1.5+E Approximation Algorithm
 Author      : Lucas Angelo Silveira
               Universidade de Brasilia (UnB) - Brazil
                Group of Theory of Computation
 Version     : 1.0
 
 Last Modified On: May 03, 2015.
 ============================================================================
 */
#ifndef _graph_h
#define _graph_h

#include <stdio.h>

typedef struct{
    int esquerdo;
    int direito;
    
}edge_black;

typedef struct{
    int ligacoes[4];
    int indice_ligacoes;
    
}edge_gray;

typedef struct{
    int ciclo[4];
    int sinais[4];
    int desativar;
    
}Graph_M;

typedef struct{
    int conteiner[2];//indice inicial e final
    int tipo;// if is isolation or shared or if this disabled
    int rsmp;
}Componentes;

typedef struct{
    int size_black;//amount blacks edges
    int size_cinza;//amount grays edges
    int direito;
    int esquerdo;
    edge_gray  grays;//stores grays edges
    int ligacoes[4];
    int indice_ligacoes;
    
    
}Grafo_breakpoint;

typedef struct{
    int conteiner2[4];
    int parei;
    int esquerdo2;
    int direito2;
    char flag;
}Grafo_FAB;

typedef struct{
    int p1[2];//black edge
    int p2[2];//black edge
    int p3[2];//gray edge
    int p4[2];//gray edge
    char type;//cruzada ou nao
}ciclo2;

#endif