/*
 ============================================================================
 Project     : Standard GA Algorithm
 Author      : Lucas Angelo Silveira
 Universidade de Brasilia (UnB) - Brazil
 Group of Theory of Computation
 Version     : 1.0
 
 Last Modified On: May 03, 2015.
 ============================================================================
 */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include "Alg_Simple_Genetic.h"

int main(int argc, char **argv){
    unsigned int seed = time(NULL);
    float parametro1=0;
    float parametro2=0;
    float parametro3=0;
    float parametro4=0;
    //read parameter
    if (argc == 2){
        seed = atoi(argv[1]);//leer semilla (seed)
    }
    else if (argc == 3){
        seed = atoi(argv[1]);//leer semilla (seed)
        parametro1 = atof(argv[2]);//leer algun parametro
    }
    
    
    else if (argc == 4){
        seed = atoi(argv[1]);//leer semilla (seed)
        parametro1 = atof(argv[2]);//leer crossover
        parametro2 = atof(argv[3]);//leer mutacao
        
    }
    
    else if(argc == 5)
    {
        seed = atoi(argv[1]);//leer semilla (seed)
        parametro1 = atof(argv[2]);//leer crossover
        parametro2 = atof(argv[3]);//leer mutacao
        parametro3 = atof(argv[4]);//leer mutacao
        
        
    }
    
    else if(argc == 6)
    {
        seed = atoi(argv[1]);//leer semilla (seed)
        parametro1 = atof(argv[2]);//leer crossover
        parametro2 = atof(argv[3]);//leer mutacao
        parametro3 = atof(argv[4]);//leer mutacao
        parametro4 = atof(argv[5]);//leer mutacao
        
        
    }
    
    

    srand (seed);//initialize random generator
    
    
    Genetic(parametro1, parametro2, parametro3, parametro4);
    return 0;
    
    
}